summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRoy Marples <uberlord@gentoo.org>2007-04-02 12:28:30 +0000
committerRoy Marples <uberlord@gentoo.org>2007-04-02 12:28:30 +0000
commitb73431d3d1b56d71832b5b933533895e3d70f794 (patch)
treededf0132211c3702518067316d44288886007ac2 /net-fs/nfs-utils/files
parentpull in libselinux for USE=selinux now (diff)
downloadgentoo-2-b73431d3d1b56d71832b5b933533895e3d70f794.tar.gz
gentoo-2-b73431d3d1b56d71832b5b933533895e3d70f794.tar.bz2
gentoo-2-b73431d3d1b56d71832b5b933533895e3d70f794.zip
Remove some bashisms and support baselayout-2 restart option.
(Portage version: 2.1.2.3)
Diffstat (limited to 'net-fs/nfs-utils/files')
-rw-r--r--net-fs/nfs-utils/files/digest-nfs-utils-1.0.12-r33
-rwxr-xr-xnet-fs/nfs-utils/files/nfs.initd12
-rwxr-xr-xnet-fs/nfs-utils/files/rpc.gssd.initd8
-rwxr-xr-xnet-fs/nfs-utils/files/rpc.idmapd.initd6
-rwxr-xr-xnet-fs/nfs-utils/files/rpc.statd.initd4
5 files changed, 18 insertions, 15 deletions
diff --git a/net-fs/nfs-utils/files/digest-nfs-utils-1.0.12-r3 b/net-fs/nfs-utils/files/digest-nfs-utils-1.0.12-r3
new file mode 100644
index 000000000000..bdb8c3cf47a5
--- /dev/null
+++ b/net-fs/nfs-utils/files/digest-nfs-utils-1.0.12-r3
@@ -0,0 +1,3 @@
+MD5 acf3656cec3872deb597aa7ac13f3c3a nfs-utils-1.0.12.tar.gz 778576
+RMD160 a00dbdae386acf3f969714a1571749182c5a19a8 nfs-utils-1.0.12.tar.gz 778576
+SHA256 67d81a53d84777c733ff8a5cf5f3eed9ecda17fb9f949bc65727c1a3427af8ac nfs-utils-1.0.12.tar.gz 778576
diff --git a/net-fs/nfs-utils/files/nfs.initd b/net-fs/nfs-utils/files/nfs.initd
index bb9ea0650440..50fc505d3b9f 100755
--- a/net-fs/nfs-utils/files/nfs.initd
+++ b/net-fs/nfs-utils/files/nfs.initd
@@ -1,7 +1,7 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-fs/nfs-utils/files/nfs.initd,v 1.1 2007/03/25 12:30:52 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-fs/nfs-utils/files/nfs.initd,v 1.2 2007/04/02 12:28:30 uberlord Exp $
#---------------------------------------------------------------------------
# This script starts/stops the following
@@ -44,7 +44,7 @@ mkdir_nfsdirs() {
waitfor_exportfs() {
local pid=$1
- ( sleep ${EXPORTFS_TIMEOUT:-30}; kill -9 $pid &>/dev/null ) &
+ ( sleep ${EXPORTFS_TIMEOUT:-30}; kill -9 $pid 2>/dev/null ) &
wait $1
}
@@ -53,7 +53,7 @@ start_it() {
shift
"$@"
eend $?
- ((ret+=$?))
+ ret=$((${ret} + $?))
}
start() {
# Make sure nfs support is loaded in the kernel #64709
@@ -97,13 +97,13 @@ stop() {
ebegin "Stopping NFS mountd"
start-stop-daemon --stop --quiet --oknodo --exec ${mountd}
eend $?
- ((ret+=$?))
+ ret=$((${ret} + $?))
# nfsd sets its process name to [nfsd] so don't look for $nfsd
ebegin "Stopping NFS daemon"
start-stop-daemon --stop --quiet --oknodo --name nfsd --user root --signal 2
eend $?
- ((ret+=$?))
+ ret=$((${ret} + $?))
# When restarting the NFS server, running "exportfs -ua" probably
# isn't what the user wants. Running it causes all entries listed
@@ -118,7 +118,7 @@ stop() {
# then "exportfs -r" will reread the xtab, and all the current
# clients will be able to resume NFS activity, *without* needing
# to umount/(re)mount the filesystem.
- if [ "${restarting}" = no ] ; then
+ if [ "${restarting}" = no -o "${RC_CMD}" = "restart" ] ; then
ebegin "Unexporting NFS directories"
# Exportfs likes to hang if networking isn't working.
# If that's the case, then try to kill it so the
diff --git a/net-fs/nfs-utils/files/rpc.gssd.initd b/net-fs/nfs-utils/files/rpc.gssd.initd
index bafe1bc773c3..c9cfa5219b36 100755
--- a/net-fs/nfs-utils/files/rpc.gssd.initd
+++ b/net-fs/nfs-utils/files/rpc.gssd.initd
@@ -1,9 +1,9 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-fs/nfs-utils/files/rpc.gssd.initd,v 1.1 2007/03/25 12:30:52 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-fs/nfs-utils/files/rpc.gssd.initd,v 1.2 2007/04/02 12:28:30 uberlord Exp $
-[ -e /etc/conf.d/nfs ] && source /etc/conf.d/nfs
+[ -e /etc/conf.d/nfs ] && . /etc/conf.d/nfs
gssd=/usr/sbin/rpc.gssd
svcgssd=/usr/sbin/rpc.svcgssd
@@ -19,7 +19,7 @@ start_it() {
shift
"$@"
eend $?
- ((ret+=$?))
+ ret=$((${ret} + $?))
}
start() {
local ret=0
@@ -32,7 +32,7 @@ stop_it() {
ebegin "Stopping $1"
start-stop-daemon --stop --quiet --exec $2
eend $?
- ((ret+=$?))
+ ret=$((${ret} + $?))
}
stop() {
local ret=0
diff --git a/net-fs/nfs-utils/files/rpc.idmapd.initd b/net-fs/nfs-utils/files/rpc.idmapd.initd
index 2f8a92bf32b1..49a323aa981e 100755
--- a/net-fs/nfs-utils/files/rpc.idmapd.initd
+++ b/net-fs/nfs-utils/files/rpc.idmapd.initd
@@ -1,9 +1,9 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-fs/nfs-utils/files/rpc.idmapd.initd,v 1.1 2007/03/25 12:30:52 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-fs/nfs-utils/files/rpc.idmapd.initd,v 1.2 2007/04/02 12:28:30 uberlord Exp $
-[ -e /etc/conf.d/nfs ] && source /etc/conf.d/nfs
+[ -e /etc/conf.d/nfs ] && . /etc/conf.d/nfs
rpc_bin=/usr/sbin/rpc.idmapd
@@ -29,7 +29,7 @@ mount_pipefs() {
}
umount_pipefs() {
- [ "${restarting}" = "yes" ] && return 0
+ [ "${restarting}" = "yes" -o "${RC_CMD}" = "restart" ] && return 0
if grep -qs "rpc_pipefs /var/lib/nfs/rpc_pipefs" /proc/mounts ; then
ebegin "Unmounting RPC pipefs"
umount /var/lib/nfs/rpc_pipefs
diff --git a/net-fs/nfs-utils/files/rpc.statd.initd b/net-fs/nfs-utils/files/rpc.statd.initd
index 0dac37b80478..59ba10055958 100755
--- a/net-fs/nfs-utils/files/rpc.statd.initd
+++ b/net-fs/nfs-utils/files/rpc.statd.initd
@@ -1,9 +1,9 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-fs/nfs-utils/files/rpc.statd.initd,v 1.1 2007/03/25 12:30:52 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-fs/nfs-utils/files/rpc.statd.initd,v 1.2 2007/04/02 12:28:30 uberlord Exp $
-[ -e /etc/conf.d/nfs ] && source /etc/conf.d/nfs
+[ -e /etc/conf.d/nfs ] && . /etc/conf.d/nfs
rpc_bin=/sbin/rpc.statd
rpc_pid=/var/run/rpc.statd.pid